CC=g++
CFLAGS=-Wall -O3 -I../../../boost_1_47_0
LDFLAGS= -lpthread

#thread
LOCAL_SRC_FILES := ../../../boost_1_47_0/libs/thread/src/pthread/thread.cpp
LOCAL_SRC_FILES += ../../../boost_1_47_0/libs/thread/src/pthread/once.cpp

#signals
LOCAL_SRC_FILES += ../../../boost_1_47_0/libs/signals/src/connection.cpp
LOCAL_SRC_FILES += ../../../boost_1_47_0/libs/signals/src/named_slot_map.cpp
LOCAL_SRC_FILES += ../../../boost_1_47_0/libs/signals/src/signal_base.cpp
LOCAL_SRC_FILES += ../../../boost_1_47_0/libs/signals/src/slot.cpp
LOCAL_SRC_FILES += ../../../boost_1_47_0/libs/signals/src/trackable.cpp

#system
LOCAL_SRC_FILES += ../../../boost_1_47_0/libs/system/src/error_code.cpp

#regex
LOCAL_SRC_FILES += ../../../boost_1_47_0/libs/regex/src/c_regex_traits.cpp
LOCAL_SRC_FILES += ../../../boost_1_47_0/libs/regex/src/cpp_regex_traits.cpp
LOCAL_SRC_FILES += ../../../boost_1_47_0/libs/regex/src/cregex.cpp
LOCAL_SRC_FILES += ../../../boost_1_47_0/libs/regex/src/fileiter.cpp
LOCAL_SRC_FILES += ../../../boost_1_47_0/libs/regex/src/icu.cpp
LOCAL_SRC_FILES += ../../../boost_1_47_0/libs/regex/src/instances.cpp
LOCAL_SRC_FILES += ../../../boost_1_47_0/libs/regex/src/posix_api.cpp
LOCAL_SRC_FILES += ../../../boost_1_47_0/libs/regex/src/regex.cpp
LOCAL_SRC_FILES += ../../../boost_1_47_0/libs/regex/src/regex_debug.cpp
LOCAL_SRC_FILES += ../../../boost_1_47_0/libs/regex/src/regex_raw_buffer.cpp
LOCAL_SRC_FILES += ../../../boost_1_47_0/libs/regex/src/regex_traits_defaults.cpp
LOCAL_SRC_FILES += ../../../boost_1_47_0/libs/regex/src/static_mutex.cpp
LOCAL_SRC_FILES += ../../../boost_1_47_0/libs/regex/src/usinstances.cpp
LOCAL_SRC_FILES += ../../../boost_1_47_0/libs/regex/src/w32_regex_traits.cpp
LOCAL_SRC_FILES += ../../../boost_1_47_0/libs/regex/src/wc_regex_traits.cpp
LOCAL_SRC_FILES += ../../../boost_1_47_0/libs/regex/src/wide_posix_api.cpp
LOCAL_SRC_FILES += ../../../boost_1_47_0/libs/regex/src/winstances.cpp

#date_time
LOCAL_SRC_FILES += ../../../boost_1_47_0/libs/date_time/src/gregorian/greg_month.cpp
LOCAL_SRC_FILES += ../../../boost_1_47_0/libs/date_time/src/gregorian/greg_weekday.cpp
LOCAL_SRC_FILES += ../../../boost_1_47_0/libs/date_time/src/gregorian/date_generators.cpp


CFLAGS += -I../../common
CFLAGS += -I../k_observer_client
LOCAL_SRC_FILES += ../k_observer_client/main.cpp
LOCAL_SRC_FILES += ../../common/ClientSocket.cpp
LOCAL_SRC_FILES += ../../common/MessageSender.cpp
LOCAL_SRC_FILES += ../../common/misc.cpp
LOCAL_SRC_FILES += ../../common/UserInfo.cpp
LOCAL_SRC_FILES += ../../common/linux_stuff.cpp

all:
	$(CC) $(LOCAL_SRC_FILES) $(CFLAGS) $(LDFLAGS) -o k_observer_client_bot